gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.SizeGroupModeGType)) Determine the direction that is affected by a .

The mode of the determines the directions in which the affects the requested sizes of its component widgets.

- Field
  2.12.0.0
  Gtk.SizeGroupMode Affects widget size requisitions both horizontally and vertically.
- Field
  2.12.0.0
  Gtk.SizeGroupMode Affects widget size requisitions horizontally.
- Field
  2.12.0.0
  Gtk.SizeGroupMode Has no effect on widget size requisitions.
- Field
  2.12.0.0
  Gtk.SizeGroupMode Affects widget size requisitions vertically.